unit Filedlg;

interface

uses WinTypes, WinProcs, Classes, Graphics, Forms, Controls, Buttons,
  StdCtrls, FileCtrl, IvMulti;

type
  TFileDialog = class(TForm)
    Button1: TButton;
    Button2: TButton;
    Label1: TLabel;
    Label2: TLabel;
    FileListBox1: TFileListBox;
    DirectoryListBox1: TDirectoryListBox;
    DriveComboBox1: TDriveComboBox;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    FilterComboBox1: TFilterComboBox;
    Edit1: TEdit;
    IvMultiLanguage1: TIvMultiLanguage;
  public
    constructor Create(
      AOwner: TComponent;
      caption: String;
      language: Integer);
  end;

implementation

{$R *.DFM}

constructor TFileDialog.Create(
  AOwner: TComponent;
  caption: String;
  language: Integer);
begin
  inherited Create(AOwner);
  Self.Caption := caption;
  IvMultiLanguage1.Language := language;
  IvMultiLanguage1.Open(Self);
end;

end.
